Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::indexed_face_set_node::set_normal_index_listener Class Reference

Inheritance diagram for openvrml::vrml97_node::indexed_face_set_node::set_normal_index_listener:

[legend]
List of all members.

## Detailed Description

set_normalIndex event handler.

For internal use only.

## Public Member Functions

| set_normal_index_listener (indexed_face_set_node &node)
| Construct.
virtual | ~set_normal_index_listener () throw ()
| Destroy.

## Private Member Functions

virtual void | do_process_event (const mfint32 &normal_index, double timestamp) throw (std::bad_alloc)
| Process event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::indexed_face_set_node::set_normal_index_listener::set_normal_index_listener | ( | indexed_face_set_node & | node | ) | `[explicit]`

Construct.

Parameters:

  | node | indexed_face_set_node.

openvrml::vrml97_node::indexed_face_set_node::set_normal_index_listener::~set_normal_index_listener | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::indexed_face_set_node::set_normal_index_listener::do_process_event | ( | const mfint32 & | normal_index,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

Process event.

Parameters:

  | normal_index | normalIndex.
  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.

Implements openvrml::field_value_listener< mfint32 >.